.container {
    background: radial-gradient(100% 180.31% at 0% 100%, #8DB2CC 0%, #3681C8 48.96%, #0042A0 100%);
    height: 100vh;
    width: 100%;
    min-height: 300pt;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  
    // Make text not selectable so that users will not be able to highlight text in buttons/divs.
    -webkit-user-select: none; /* Safari */        
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */
  
    .dark-background {
      position: absolute;
      height: 100vh;
      width: 100vw;
      background: rgba(0, 0, 0, 0.3);
      z-index: 0;
    }

    .content-wrapper {
      z-index: 1;
      .logo {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 20pt;
    
        svg-icon {
          height: 75px;
          width: 75px;
        }
    
        p {
          margin-left: 10pt;
          font-weight: bold;
          font-size: 64px;
          color: #FFFFFF;
          display: inline-block;
        }
      }
    
      .choice-container {
        display: flex;
        justify-content: center;
        align-items: center;
  
        .input-wrapper {
          position: relative;
          background-color: #FFFFFF;
          border: none;
          box-sizing: border-box;
          display: block;
          height: 30pt;
          width: 176pt;
          border-radius: 15pt;
          overflow: hidden;
  
          .auto-complete {
            position: absolute;
            line-height: 30pt;
            font-size: 13px;
            color: #999999;
            font-weight: 600;
            font-family: 'Poppins', sans-serif;
            padding: 0pt 0pt 0pt 15pt;
            margin-top: 0px;
            z-index: 0;
            margin-left: 1px;
            word-break: keep-all;
            max-width: 176pt;
          }
      
          input {
            position: relative;
            height: 30pt;
            width: 176pt;
            outline: none;
            box-sizing: border-box;
            line-height: 30pt;
            font-size: 13px;
            color: black;
            font-weight: 600;
            font-family: 'Poppins', sans-serif;
            border-radius: 15pt;
            padding: 0pt 0pt 0pt 15pt;
            background-color: transparent;
            border: none;
            text-transform: capitalize;
            z-index: 1;
          }
  
          input::-ms-clear {
            display: none;
          }
        }
    
        .or {
          font-size: 15px;
          line-height: 30pt;
          text-align: center;
          color: #FFFFFF;
          margin: 0pt 20pt;
        }
    
        .location-button {
          display: flex;
          justify-content: center;
          align-items: center;
          height: 30pt;
          width: 176pt;
          border: 3px solid white;
          box-sizing: border-box;
          border-radius: 15pt;
          transition: transform 0.2s ease-in-out;
          cursor: pointer;
    
          &:hover {
            transform: scale(1.05);
          }
    
          svg-icon {
            height: 19px;
            width: 19px;
            margin-right: 8pt;
          }
    
          p {
            line-height: 28pt;
            font-size: 13px;
            color: black;
            font-weight: 600;
            color: white;
          }
        }
      }
    
      .hint {
        margin: 15pt 0 150pt;
        font-size: 15px;
        line-height: 22px;
        text-align: center;
        color: #B7DAFF;
    
        svg-icon {
          display: inline-block;
          transform: translateY(5px);
        }
      }
    }

    .favorites-wrapper {
      width: 100%;
      position: absolute;
      bottom: 100pt;
      left: 50%;
      transform: translateX(-50%);

      .favorites-title {
        font-weight: bold;
        font-size: 24px;
        line-height: 36px;
        text-align: center;
        color: #FFFFFF;
        text-align: left;
        margin-bottom: 10pt;
        margin: 0pt auto 10pt;
        width: 760pt;
      }

      .card-wrapper {
        margin: 0 auto;
        width: 760pt;
        height: 64pt;
        overflow: visible;

        -ms-overflow-style: none;  /* IE and Edge */
        scrollbar-width: none;  /* Firefox */

        &::-webkit-scrollbar {
          display: none;
        }

        .card {
          background: #FFFFFF;
          box-shadow: 0px 100px 80px rgba(0, 0, 0, 0.07), 0px 22.3363px 17.869px rgba(0, 0, 0, 0.0417275), 0px 6.6501px 5.32008px rgba(0, 0, 0, 0.0282725);
          border-radius: 13px;
          height: 64pt;
          width: 144pt;
          padding: 10pt 15pt;
          box-sizing: border-box;
          margin-right: 10pt;
          position: relative;

          .heart {
            height: 25px;
            width: 25px;
            cursor: pointer;
            position: absolute;
            top: 10pt;
            right: 15pt;
          }

          .city-name {
            font-weight: bold;
            font-size: 18px;
            line-height: 22pt;
            color: #000000;
            cursor: pointer;
          }

          .see-more {
            font-weight: 600;
            font-size: 14px;
            line-height: 18pt;
            color: #333333;
            cursor: pointer;
          }
        }
      }
    }
  }

  .dark {
    .favorites-wrapper {
      .card-wrapper {
        .card {
          background: black;
          .city-name {
            color: white;
          }
          .see-more {
            color: #777777;
          }
        }
      }
    }
  }